
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于Android如何实现将数据库保存到SD卡_Android / iVAN</title>

    <meta name="description" content="基于Android如何实现将数据库保存到SD卡_Android 有时候为了需要,会将数据库保存到外部存储或者SD卡中(对于这种情况可以通过加密数据来避免数据被破解),比如一个应用支持多个数据,每个数据都需要有一个对应的数据库,并且数据库中的信息量特别大时,这显然更应该将数据库保存在外部存储或者SD卡中,因为RAM的大小是有限的:其次在写某些测试程序时将数据库保存在SD卡更方便查看数据库中的内容. Android通过SQLiteOpenHelper创建数据库时默认是将数据库保存在'/data/data/应用程序名/databases'目录下的,只需要在继承SQ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于Android如何实现将数据库保存到SD卡_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>有时候为了需要，会将数据库保存到外部存储或者SD卡中（对于这种情况可以通过加密数据来避免数据被破解），比如一个应用支持多个数据，每个数据都需要有一个对应的数据库，并且数据库中的信息量特别大时，这显然更应该将数据库保存在外部存储或者SD卡中，因为RAM的大小是有限的；其次在写某些测试程序时将数据库保存在SD卡更方便查看数据库中的内容。</p>
<p>Android通过SQLiteOpenHelper创建数据库时默认是将数据库保存在'/data/data/应用程序名/databases'目录下的，只需要在继承SQLiteOpenHelper类的构造函数中传入数据库名称就可以了，但如果将数据库保存到指定的路径下面，都需要通过重写继承SQLiteOpenHelper类的构造函数中的context，因为：在阅读SQLiteOpenHelper.java的源码时会发现：创建数据库都是通过Context的openOrCreateDatabase方法实现的，如果我们需要在指定的路径下创建数据库，就需要写一个类继承Context，并复写其openOrCreateDatabase方法，在openOrCreateDatabase方法中指定数据库存储的路径即可，下面为类SQLiteOpenHelper中getWritableDatabase和getReadableDatabase方法的源码，SQLiteOpenHelper就是通过这两个方法来创建数据库的。</p>
<pre>
/**
  * Create and/or open a database that will be used for reading and writing.
  * The first time this is called, the database will be opened and
  * {@link #onCreate}, {@link #onUpgrade} and/or {@link #onOpen} will be
  * called.
  *
  * &lt;p&gt;Once opened successfully, the database is cached, so you can
  * call this method every time you need to write to the database.
  * (Make sure to call {@link #close} when you no longer need the database.)
  * Errors such as bad permissions or a full disk may cause this method
  * to fail, but future attempts may succeed if the problem is fixed.&lt;/p&gt;
  *
  * &lt;p class="caution"&gt;Database upgrade may take a long time, you
  * should not call this method from the application main thread, including
  * from {@link android.content.ContentProvider#onCreate ContentProvider.onCreate()}.
  *
  * @throws SQLiteException if the database cannot be opened for writing
  * @return a read/write database object valid until {@link #close} is called
  */
 public synchronized SQLiteDatabase getWritableDatabase() {
  if (mDatabase != null) {
   if (!mDatabase.isOpen()) {
    // darn! the user closed the database by calling mDatabase.close()
    mDatabase = null;
   } else if (!mDatabase.isReadOnly()) {
    return mDatabase; // The database is already open for business
   }
  }
  if (mIsInitializing) {
   throw new IllegalStateException("getWritableDatabase called recursively");
  }
  // If we have a read-only database open, someone could be using it
  // (though they shouldn't), which would cause a lock to be held on
  // the file, and our attempts to open the database read-write would
  // fail waiting for the file lock. To prevent that, we acquire the
  // lock on the read-only database, which shuts out other users.
  boolean success = false;
  SQLiteDatabase db = null;
  if (mDatabase != null) mDatabase.lock();
  try {
   mIsInitializing = true;
   if (mName == null) {
    db = SQLiteDatabase.create(null);
   } else {
    db = mContext.openOrCreateDatabase(mName, 0, mFactory, mErrorHandler);
   }
   int version = db.getVersion();
   if (version != mNewVersion) {
    db.beginTransaction();
    try {
     if (version == 0) {
      onCreate(db);
     } else {
      if (version &gt; mNewVersion) {
       onDowngrade(db, version, mNewVersion);
      } else {
       onUpgrade(db, version, mNewVersion);
      }
     }
     db.setVersion(mNewVersion);
     db.setTransactionSuccessful();
    } finally {
     db.endTransaction();
    }
   }
   onOpen(db);
   success = true;
   return db;
  } finally {
   mIsInitializing = false;
   if (success) {
    if (mDatabase != null) {
     try { mDatabase.close(); } catch (Exception e) { }
     mDatabase.unlock();
    }
    mDatabase = db;
   } else {
    if (mDatabase != null) mDatabase.unlock();
    if (db != null) db.close();
   }
  }
 }
 /**
  * Create and/or open a database. This will be the same object returned by
  * {@link #getWritableDatabase} unless some problem, such as a full disk,
  * requires the database to be opened read-only. In that case, a read-only
  * database object will be returned. If the problem is fixed, a future call
  * to {@link #getWritableDatabase} may succeed, in which case the read-only
  * database object will be closed and the read/write object will be returned
  * in the future.
  *
  * &lt;p class="caution"&gt;Like {@link #getWritableDatabase}, this method may
  * take a long time to return, so you should not call it from the
  * application main thread, including from
  * {@link android.content.ContentProvider#onCreate ContentProvider.onCreate()}.
  *
  * @throws SQLiteException if the database cannot be opened
  * @return a database object valid until {@link #getWritableDatabase}
  * or {@link #close} is called.
  */
 public synchronized SQLiteDatabase getReadableDatabase() {
  if (mDatabase != null) {
   if (!mDatabase.isOpen()) {
    // darn! the user closed the database by calling mDatabase.close()
    mDatabase = null;
   } else {
    return mDatabase; // The database is already open for business
   }
  }
  if (mIsInitializing) {
   throw new IllegalStateException("getReadableDatabase called recursively");
  }
  try {
   return getWritableDatabase();
  } catch (SQLiteException e) {
   if (mName == null) throw e; // Can't open a temp database read-only!
   Log.e(TAG, "Couldn't open " + mName + " for writing (will try read-only):", e);
  }
  SQLiteDatabase db = null;
  try {
   mIsInitializing = true;
   String path = mContext.getDatabasePath(mName).getPath();
   db = SQLiteDatabase.openDatabase(path, mFactory, SQLiteDatabase.OPEN_READONLY,
     mErrorHandler);
   if (db.getVersion() != mNewVersion) {
    throw new SQLiteException("Can't upgrade read-only database from version " +
      db.getVersion() + " to " + mNewVersion + ": " + path);
   }
   onOpen(db);
   Log.w(TAG, "Opened " + mName + " in read-only mode");
   mDatabase = db;
   return mDatabase;
  } finally {
   mIsInitializing = false;
   if (db != null &amp;&amp; db != mDatabase) db.close();
  }
 }</pre>
<p>通过上面的分析可以写出一个自定义的Context类，该类继承Context即可，但由于Context中有除了openOrCreateDatabase方法以外的其它抽象函数，所以建议使用非抽象类ContextWrapper，该类继承自Context，自定义的DatabaseContext类源码如下：</p>
<pre>
public class DatabaseContext extends ContextWrapper {
 public DatabaseContext(Context context){
  super( context );
 }
 /**
  * 获得数据库路径，如果不存在，则创建对象对象
  * @param name
  * @param mode
  * @param factory
  */
 @Override
 public File getDatabasePath(String name) {
  //判断是否存在sd卡
  boolean sdExist = android.os.Environment.MEDIA_MOUNTED.equals(android.os.Environment.getExternalStorageState());
  if(!sdExist){//如果不存在,
   return null;
  }else{//如果存在
   //获取sd卡路径
   String dbDir= FileUtils.getFlashBPath();
   dbDir += "DB";//数据库所在目录
   String dbPath = dbDir+"/"+name;//数据库路径
   //判断目录是否存在，不存在则创建该目录
   File dirFile = new File(dbDir);
   if(!dirFile.exists()){
    dirFile.mkdirs();
   }
   //数据库文件是否创建成功
   boolean isFileCreateSuccess = false;
   //判断文件是否存在，不存在则创建该文件
   File dbFile = new File(dbPath);
   if(!dbFile.exists()){
    try {
     isFileCreateSuccess = dbFile.createNewFile();//创建文件
    } catch (IOException e) {
     e.printStackTrace();
    }
   }else{
    isFileCreateSuccess = true;
   }
   //返回数据库文件对象
   if(isFileCreateSuccess){
    return dbFile;
   }else{
    return null;
   }
  }
 }
 /**
  * 重载这个方法，是用来打开SD卡上的数据库的，android 2.3及以下会调用这个方法。
  *
  * @param name
  * @param mode
  * @param factory
  */
 @Override
 public SQLiteDatabase openOrCreateDatabase(String name, int mode, SQLiteDatabase.CursorFactory factory) {
  SQLiteDatabase result = SQLiteDatabase.openOrCreateDatabase(getDatabasePath(name), null);
  return result;
 }
 /**
  * Android 4.0会调用此方法获取数据库。
  *
  * @see android.content.ContextWrapper#openOrCreateDatabase(java.lang.String, int,
  *   android.database.sqlite.SQLiteDatabase.CursorFactory,
  *   android.database.DatabaseErrorHandler)
  * @param name
  * @param mode
  * @param factory
  * @param errorHandler
  */
 @Override
 public SQLiteDatabase openOrCreateDatabase(String name, int mode, CursorFactory factory, DatabaseErrorHandler errorHandler) {
  SQLiteDatabase result = SQLiteDatabase.openOrCreateDatabase(getDatabasePath(name), null);
  return result;
 }
}</pre>
<p>在继承SQLiteOpenHelper的子类的构造函数中，用DatabaseContext的实例替代context即可：</p>
<pre>
DatabaseContext dbContext = new DatabaseContext(context);
super(dbContext, mDatabaseName, null, VERSION);</pre>
<p>基于Android如何实现将数据库保存到SD卡的全部内容就给大家介绍这么多，同时也非常感谢大家一直以来对网站的支持，谢谢。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android数据库sd卡<br />
                                    android保存到sd卡<br />
                                    android 数据库 sd卡、android 保存到数据库、android 保存图片sd卡、android 保存到sd卡、数据库系统实现，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:08:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android%e4%bf%9d%e5%ad%98%e5%88%b0sd%e5%8d%a1/" title="android保存到sd卡">android保存到sd卡</a>, <a href="https://www.iamivan.net/tag/android%e6%95%b0%e6%8d%ae%e5%ba%93sd%e5%8d%a1/" title="android数据库sd卡">android数据库sd卡</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于Android如何实现将数据库保存到SD卡_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z76mBap.html" rel="bookmark">基于Android如何实现将数据库保存到SD卡</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候为了需要,会将数据库保存到外部存储或者SD卡中(对于这种情况可以通过加密数据来避免数据被破解),比如一个应用支持多个数据,每个数据都需要有一个对应的数据库,并且数据库中的信息量特别大时,这显然更应该将数据库保存在外部存储或者SD卡中,因为RAM的大小是有限的:其次在写某些测试程序时将数据库保存在SD卡更方便查看数据库中的内容. Android通过SQLiteOpenHelper创建数据库时默认是将数据库保存在'/data/data/应用程序名/databases'目录下的,只需要在继承SQ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqL1A2b.html" rel="bookmark">android将Bitmap对象保存到SD卡中的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  android将Bitmap对象保存到SD卡中的方法          这篇文章主要介绍了android将Bitmap对象保存到SD卡中的方法,涉及Android读写SD卡数据的方法,需要的朋友可以参考下 ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 Bitmap logoBitmap = BitmapFactory.decodeResourc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wG4Np.html" rel="bookmark">android读取Assets图片资源保存到SD卡实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为大家详细介绍下android读取Assets图片资源保存到SD卡的具体实现,感兴趣的各位可以参考下哈,希望对大家有所帮助   复制代码 代码如下: public class ReadBitmap { public void readByte(Context c, String name, int indexInt) { byte[] b = null; int[] intArrat = c.getResources().getIntArray(indexInt); try { AssetM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdE4l4z.html" rel="bookmark">编码-Android Camera中使用onPreview里的byte&lbrack;&rsqb;data怎样保存到SD卡里</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android Camera中使用onPreview里的byte[]data怎样保存到SD卡里 最近在做android多媒体开发,已经实践过录像和录音的功能.现在项目要求,android录制视频时,将原始视频数据保存下来,也就是yuv420sp格式的视频,以便以后对这个原始数据进一步的编码和修改. 最近查资料知道可以使用public void onPreviewFrame(byte[] data,Camera camera){}方法获取预览帧,而byte[]data即为所求的yuv42			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1R6Gb.html" rel="bookmark">Android实现从网络获取图片显示并保存到SD卡的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android实现从网络获取图片显示并保存到SD卡的方法.分享给大家供大家参考,具体如下: 问题: 如何不断获取图片并显示出来,达到视频的效果? 代码: public class GetPictureFromInternetActivity extends Activity { private ImageView imageView; public void onCreate(Bundle savedInstanceState) { super.onCreate(savedInst			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL50akz.html" rel="bookmark">android读取Assets图片资源保存到SD卡实例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: public class ReadBitmap { public void readByte(Context c, String name, int indexInt) { byte[] b = null; int[] intArrat = c.getResources().getIntArray(indexInt); try { AssetManager am = null; am = c.getAssets(); InputStream is = am.open(nam			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0WKOp.html" rel="bookmark">Android将应用调试log信息保存在SD卡的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				把自己应用的调试信息写入到SD卡中. package com.sdmc.hotel.util; import java.io.BufferedReader; import java.io.File; import java.io.FileNotFoundException; import java.io.FileOutputStream; import java.io.IOException; import java.io.InputStreamReader; import android.co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrDkXjz.html" rel="bookmark">Android将应用调试log信息保存在SD卡的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				把自己应用的调试信息写入到SD卡中. package com.sdmc.hotel.util; import java.io.BufferedReader; import java.io.File; import java.io.FileNotFoundException; import java.io.FileOutputStream; import java.io.IOException; import java.io.InputStreamReader; import android.co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGZGlp.html" rel="bookmark">信号-安卓开发 如何将float数组 进行音频编解码 转换成wav音频格式 储存到sd卡内部</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓开发 如何将float数组 进行音频编解码 转换成wav音频格式 储存到sd卡内部 最近正在学习安卓音频相关的一些知识,再SD卡里面读取一个wav音频文件,然后对这个文件进行噪音消除,最后输出的数据都是float格式的,这些数据用matlab中的wavwrite函数转换成wav是没有问题的,但是在安卓上如何将这些数据转换成wav还需要大神们请教,应该需要编解码的过程,如果有做这方面的大神 请知道指导...谢谢了 这段代码是将IFFT处理后的文件储存到res里面,因为是分帧进行的信号			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOgjxz.html" rel="bookmark" class="title">现实中的细粒度审计&lpar;1&rpar;</a>
					<div>
						现实中的细粒度审计(1) 作者:Arup Nanda 了解如何使用 Oracle 数据库的细粒度审计特性来跟踪对表中特定行的只读访问 - 以及更多信息 传统的 Oracle 数据库审计选件允许您在宏观 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5DAAM.html" rel="bookmark" class="title">网站获得原创文章的方法</a>
					<div>
						伴随着最近百度的更新频繁,网站优化也更加强调高质量内容的重要性,也因此,原创优质内容的获得也就显得尤为重要了,那么我们要怎么样才能更加容易的获得原创内容呢?其中有什么样的诀窍,今天厦门SEO就教大家一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwln8db.html" rel="bookmark" class="title">使用WebSphere Business Events REST接口从应用程序发出简单业务事件</a>
					<div>
						简介 了解业务处理.更具灵敏性.近乎实时地监测管理和遵从性情况是不断增长的 企业业务线需求.基于事件的解决方案通过快速有效地利用机会和减少异常来支持业务和 IT 管理企业风险.当业务事件处理技术与业务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62XQyM.html" rel="bookmark" class="title">WPS表格数据快速录入技巧</a>
					<div>
						一.减少对鼠标的依赖和无效击键次数 我们在WPS表格中录入数据时可能做了很多&quot;无用功&quot;,但我们却没有注意到.录入数据时,一般选择横着录入或竖着录入.横着录入和竖着录入可以分别用键盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24rRqp.html" rel="bookmark" class="title">锐化你的野生动物摄影作品</a>
					<div>
						我们都曾经见过这样的野生动物照片:画面主体清晰.毛发可辨,而背景如奶油般甜美晕开.这样的效果可以通过全开相机光圈.减小景深实现,它能将观众注意力集中到画面主体. 大赛作品&quot;&gt; 学习目标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7l2NM.html" rel="bookmark" class="title">AutoCAD for Mac如何设置自动保存为更低的各种版本</a>
					<div>
						  AutoCAD for windows的所有版本里,都支持对&quot;Default Save As Format&quot;的设置,即op设置里修改默认保存文件的格式,以便不同工作环境间的文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8En8p.html" rel="bookmark" class="title">微软官方开放Windows Virtual PC &amp; XPM下载</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   Windows Virtual PC Beta and ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo03Qb.html" rel="bookmark" class="title">《端到端QoS网络设计（第2版）》一2&period;1　部署QoS的原则</a>
					<div>
						第2章 基于IOS的QoS体系框架和语法结构 端到端QoS网络设计(第2版) 本章包含了如下主题: 部署QoS的原则: QoS特性的体系结构,以及基于IOS的Cisco路由器与交换机的功能: 在基于I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lAG9b.html" rel="bookmark" class="title">servlet用javabean连接访问mysql失败</a>
					<div>
						问题描述 servlet用javabean连接访问mysql失败 如果用java application连接wamp的mysql的话可以访问,但是换成servlet来访问就失败了 导入驱动包了,也把驱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNR44z.html" rel="bookmark" class="title">UWP入门（九）-- 枚举和查询文件和文件夹</a>
					<div>
						原文:UWP入门(九)-- 枚举和查询文件和文件夹 核心 API 所在的命名空间: Windows.Storage Windows.Storage.Streams Windows.Storage.Pi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rBkdp.html" rel="bookmark" class="title">启动qtp时如何让add-in manag页面再次显示</a>
					<div>
						问题描述 启动qtp时如何让add-in manag页面再次显示 各位大侠,请问启动qtp时由于在add-in manager页面没有勾选show on startup,之后启动再也不显示add-in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRgwZb.html" rel="bookmark" class="title">四款jquery div 居中效果代码</a>
					<div>
						代码一 &lt;script type=&quot;text/网页特效&quot;&gt; $(document).ready(function() { //tips教程: jquery div层在页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkePVOb.html" rel="bookmark" class="title">C&num; Winform 子窗体访问父级窗体的控件和属性&lowbar;C&num;教程</a>
					<div>
						今天在做一个联系人管理的C#设计时,遇到了这个问题,我需要将父窗体中的textBox中的值传到子窗体并进行数据库查询操作,我用了new 父窗体().textBox.text;来进行值传递,然而并无卵用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRKQNb.html" rel="bookmark" class="title">C&num;控制台如何模拟键盘输入，以使之前的ReadLine无效？</a>
					<div>
						问题描述 如题.线程A用ReadLine检测键盘输入.中止线程A,开启线程B,继续用ReadLine检测键盘输入.由于线程A的ReadLine,需要一次额外的输入,才能开始线程B的ReadLine.如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKyKDb.html" rel="bookmark" class="title">看过来：教你解决Vista无法收邮件问题</a>
					<div>
						日前有个朋友买了个 预装VISTA的本本,由于工作需要使用OUTLOOK来收邮件,在VISTA上OUTLOOK升级为Windows Mail,遇到一个很奇怪的问题,当收有附件的邮件时进度条就停止在 那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0YBBM.html" rel="bookmark" class="title">如何轻松创建MySQL数据库</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 近日,国际著名开源数据库厂商MySQL的中国研究中心与天津海量信息技术有限公司签署了战略协议,海量科技将为MySQL最大程度在中国实现本地化,抢占中国开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR58xb.html" rel="bookmark" class="title">SAP HANA系统曝安全漏洞，静态密钥存在数据库里</a>
					<div>
						SAP知名内存数据库管理系统HANA被曝存在安全漏洞,其静态加密密钥居然存放在数据库中.SAP HANA是SAP有史以来发展最快的产品. 漏洞概述 ERPScan的研究人员在阿姆斯特丹举行的黑帽大会上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK78Ob.html" rel="bookmark" class="title">Timeline 0&period;16&period;0发布 时间轴工具</a>
					<div>
						Timeline是一个免费的跨平台应用程序,用于显示和操作时间轴上的事件任务,支持GNU General Public License, version 3版本. Timeline 0.16.0该版本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Re47z.html" rel="bookmark" class="title">outlook2010异常问题-outlook2010个人文件夹异常问题</a>
					<div>
						问题描述 outlook2010个人文件夹异常问题 我们这里用的是outlook2010接受发送邮件.其中有一个电脑的outlook下面有2个账号,暂且分别是叫它们A和B吧.用B向外发送邮件的话,发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqdJyb.html" rel="bookmark" class="title">圈内纷传李国庆要卖当当 百度接盘可能性最大</a>
					<div>
						这两天一位电商分析师L接连撰文帮当当找买家,另外,再前几日在微信朋友圈也听一好友H说当当找到买主了,这两位都是电商分析圈的资深人士,他们说的内容都与当当在找买主有关.无风不起浪,当当在找买主或者找投资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAELq2M.html" rel="bookmark" class="title">让大家信任自己，做个行为和语言上都没黑盒子的技术人员（转）</a>
					<div>
						  在汽车之家工作了 10 年,如今创业也有 6 个月了,身边流经了上百人的技术朋友,和他们一起战斗.一起创业.看着他们离职.看着他们不开心. 原因是啥? 最原始状态就是:不被信任. 写代码的技术是个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJr03p.html" rel="bookmark" class="title">公安部：09年计算机感染病毒比例下降15&percnt;</a>
					<div>
						2月5日上午消息,公安部网络安全保卫局日前发布了第九次全国信息网络安全状况与计算机病毒疫情调查报告.全国3万多家重要信息系统联网和使用单位.互联网服务单位以及计算机用户参加了此次调查活动. 调查结果显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKl5kz.html" rel="bookmark" class="title">维维股份欲卖掉&OpenCurlyDoubleQuote;摇钱树&rdquo;双沟酒业市场仍继续疯炒</a>
					<div>
						每经记者 魏玉卿 昨日,维维股份(600300,收盘价7.43元)在股票交易异常波动公告里宣布,公司要将江苏双沟酒业这颗&quot;摇钱树&quot;转让给政府.令人费解的是,市场根本没有理会这个重大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QZAqM.html" rel="bookmark" class="title">零基础学JavaScript最新动画教程&plus;iso光盘下载&lowbar;基础知识</a>
					<div>
						最新动画教程+光盘--零基础学JavaScript 从网上找到的好资源,机械工业出版社的最新编程入门书的光盘和动画教程. 电驴下载地址:http://board.verycd.com/t488833. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLjgvM.html" rel="bookmark" class="title">实例详解JSON数据格式及json格式数据域字符串相互转换&lowbar;javascript技巧</a>
					<div>
						JSON(JavaScript Object Notation)是一种轻量级的数据交换格式.JSON采用完全独立于语言的文本格式,这些特性使JSON成为理想的数据交换语言.易于人阅读和编写,同时也易于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1mrKb.html" rel="bookmark" class="title">java实现静默安装apk&lowbar;Android</a>
					<div>
						静默安装就是偷偷的把一个应用安装到手机上,就是屏蔽确认框,通过反射 只能写个主要的代码,这个是在linux编译用到,因为静默安装需要调用系统服务,在源码下编译,我也是搞了好久 InstallActiv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ29kYz.html" rel="bookmark" class="title">oracle日期时间型timestamp的深入理解&lowbar;oracle</a>
					<div>
						1.字符型转成timestamp 复制代码 代码如下: select to_timestamp('01-10月-08 07.46.41.000000000 上午','dd-MON-yy hh:mi:s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYd2PZb.html" rel="bookmark" class="title">一米店平台计划融资</a>
					<div>
						5朿0日消息,翼米恒通科技(北京)有限公司(一米点平台)计划融资〿/p&gt; 一米店平台采用最新一代O2O电商理念,并结合先进的VR-3D和移动互联技术开发而成的模拟仿真销售系统.该系统提供了高粿6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmdGwp.html" rel="bookmark" class="title">大数据是应对安全形势的进攻武器</a>
					<div>
						&quot;安全能力是互联网金融行业的门槛.&quot;7月13日,在2016阿里安全峰会上,蚂蚁金服副总裁陆杰讯强调,&quot;在互联网金融的安全保卫战中,仅有防守是不够的,还需要有进攻,大数据技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWB60M.html" rel="bookmark" class="title">黑客用密码&OpenCurlyDoubleQuote;root&rdquo;入侵数十万台终端</a>
					<div>
						2012年3月到12月,&quot;卡尔纳&quot;僵尸网络所控制的互联网终端的活跃程度,这42万台设备均遭遇同一名黑客非法侵入. 此刻,在地球的某个角落,一名黑客的情绪有些不稳定.他既自豪又担忧, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
